/*
 * The Clear BSD License
 * Copyright 2017-2018 NXP
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted (subject to the limitations in the disclaimer below) provided
 *  that the following conditions are met:
 *
 * o Redistributions of source code must retain the above copyright notice, this list
 *   of conditions and the following disclaimer.
 *
 * o Redistributions in binary form must reproduce the above copyright notice, this
 *   list of conditions and the following disclaimer in the documentation and/or
 *   other materials provided with the distribution.
 *
 * o Neither the name of the copyright holder nor the names of its
 *   contributors may be used to endorse or promote products derived from this
 *   software without specific prior written permission.
 *
 * NO EXPRESS OR IMPLIED LICENSES TO ANY PARTY'S PATENT RIGHTS ARE GRANTED BY THIS LICENSE.
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PTB3 (number 13), J1[10]/J2[10]/J4[3]/D4[3]/PTB3_D12_SPI0_MOSI/PTB3_BLUE
  @{ */
#define BOARD_INITLEDS_LED_BLUE_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITLEDS_LED_BLUE_GPIO_PORT kGPIO_PORTB /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITLEDS_LED_BLUE_PORT PORTB            /*!<@brief PORT device name: PORTB */
#define BOARD_INITLEDS_LED_BLUE_PIN 3U                /*!<@brief PORTB pin index: 3 */
                                                      /* @} */

/*! @name PTC4 (number 2), J1[8]/D4[4]/PTC4_GREEN
  @{ */
#define BOARD_INITLEDS_LED_GREEN_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITLEDS_LED_GREEN_GPIO_PORT kGPIO_PORTC /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITLEDS_LED_GREEN_PORT PORTC            /*!<@brief PORT device name: PORTC */
#define BOARD_INITLEDS_LED_GREEN_PIN 4U                /*!<@brief PORTC pin index: 4 */
                                                       /* @} */

/*! @name PTC5 (number 1), J1[12]/D4[1]/PTC5_RED
  @{ */
#define BOARD_INITLEDS_LED_RED_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITLEDS_LED_RED_GPIO_PORT kGPIO_PORTC /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITLEDS_LED_RED_PORT PORTC            /*!<@brief PORT device name: PORTC */
#define BOARD_INITLEDS_LED_RED_PIN 5U                /*!<@brief PORTC pin index: 5 */
                                                     /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDs(void);

/*! @name PTB5 (number 7), J2[6]/PTB5_TSI
  @{ */
#define BOARD_INITTOUCH_PTB5_TSI_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITTOUCH_PTB5_TSI_GPIO_PORT kGPIO_PORTB /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITTOUCH_PTB5_TSI_PORT PORTB            /*!<@brief PORT device name: PORTB */
#define BOARD_INITTOUCH_PTB5_TSI_PIN 5U                /*!<@brief PORTB pin index: 5 */
                                                       /* @} */

/*! @name PTC1 (number 11), J2[3]/PTC1_TSI/PTC1_PWM1
  @{ */
#define BOARD_INITTOUCH_PTC1_TSI_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITTOUCH_PTC1_TSI_GPIO_PORT kGPIO_PORTC /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITTOUCH_PTC1_TSI_PORT PORTC            /*!<@brief PORT device name: PORTC */
#define BOARD_INITTOUCH_PTC1_TSI_PIN 1U                /*!<@brief PORTC pin index: 1 */
                                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTOUCH(void);

/*! @name UART0_RX (number 16), J1[2]/UART0_RX_TGTMCU
  @{ */
/* @} */

/*! @name UART0_TX (number 15), J1[4]/PTB1_IRTX/UART0_TX_TGTMCU
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UART(void);

/*! @name I2C0_SCL (number 19), J2[20]/J4[7]/PTA3_D15_ANB0/PTA3_ACCEL_SCL
  @{ */
/* @} */

/*! @name I2C0_SDA (number 20), J1[11]/J2[18]/PTA2_D14_T2/PTA2_ACCEL_SDA
  @{ */
/* @} */

/*! @name PTC0 (number 12), J2[4]/PTC0_ACCEL_INT1
  @{ */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO GPIOA            /*!<@brief GPIO device name: GPIOA */
#define BOARD_INITACCEL_ACCEL_INT1_GPIO_PORT kGPIO_PORTC /*!<@brief PORTA GPIO port: PORTA */
#define BOARD_INITACCEL_ACCEL_INT1_PORT PORTC            /*!<@brief PORT device name: PORTC */
#define BOARD_INITACCEL_ACCEL_INT1_PIN 0U                /*!<@brief PORTC pin index: 0 */
                                                         /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCEL(void);

/*! @name EXTAL (number 5), J1[9]/PTB7_GPIO/EXTAL
  @{ */
/* @} */

/*! @name XTAL (number 6), J1[15]/PTB6_LED3/XTAL
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSC(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
